Subject: bug#15880: Compute C declarations for DEFSYMs automatically.

From: Stefan Monnier <[email-masked]>
Date: Tue, 12 Nov 2013 23:19:06 -0500

> Attached is a first cut to implement something along the lines
> that Stefan has been suggesting for a while, namely, to compute
> declarations for DEFSYM variables automatically.  This should
> help avoid needless clutter in the C code and silly errors involving
> mismatched decls etc.  This version is tested on Fedora 19 x86-64
> and Solaris 10 sparc-32.  I plan to do a bit more testing before
> installing it.  I don't know of any reason it wouldn't work with
> Microsoft platforms but I'm no expert there.

Thanks.  That looks good.
I'm wondering about one issue, tho: this creates a "big single file
dependency", so addition/removal of a DEFSYM somewhere causes
recompilation of all files.  Would it be possible to trick the deps/*
rules so they pretend this file is not a dependency?

        Stefan